Back to LanguageTool Homepage - Privacy - Imprint

Installation of Languagetool for libre office from a script


(Ubuntu Admin) #1

I've install 1.7 of Languagetool for Libre Office in Ubuntu 12.04 by going in and adding an extension.

I have 100's of machines to install, is there a way to script the installation of this valuable extension to libre office?

Thanks,
Ubuntu Admin


(Daniel Naber) #2

On Freitag, 27. April 2012, you wrote:

I have 100's of machines to install, is there a way to script the
installation of this valuable extension to libre office?

Yes, just do this:

unopkg add LanguageTool-1.7.oxt

We'd be happy to know more about your use case, as we're interested in
large installations of LanguageTool. Feel free to contact me privately if
you don't want to post more details on a public forum.

Regards
Daniel

--
http://www.danielnaber.de


(Ubuntu Admin) #3

I think I'm getting close, but I'm not familiar enough with the unopkg tool to debug....

root@lin314b-01:~/ooo# /usr/lib/libreoffice/program/unopkg add LanguageTool-stable.oxt

ERROR: You need write permissions to install this extension!

unopkg failed.
root@lin314b-01:~/ooo# /usr/lib/libreoffice/program/unopkg add LanguageTool-stable.oxt --shared --verbose
error
xsltParseStylesheetFile : cannot parse
error
xsltParseStylesheetFile : cannot parse
error
xsltParseStylesheetFile : cannot parse
error
xsltParseStylesheetFile : cannot parse

unopkg done.
root@lin314b-01:~/ooo#


(Daniel Naber) #4

On Freitag, 27. April 2012, you wrote:

ERROR: You need write permissions to install this extension!

I haven't seen that error before... I suggest you ask on a LibreOffice forum,
as this doesn't seem to be specific to LT.

Regards
Daniel

--
http://www.danielnaber.de